package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DataConfigSelectFieldEntryFactory
{
    private DataConfigSelectFieldEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("EC03DE5F") ,com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry.class);
    }
    
    public static com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("EC03DE5F") ,com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("EC03DE5F"));
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigSelectFieldEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("EC03DE5F"));
    }
}